package ruleEngine

type TenantService interface {
	FindTenants() ([]*Tenant, error)
	GetTenant(tId string) (*Tenant, error)
}

// Tenant 租户
type Tenant struct {
	Id   string
	Name string
}

type TestTenantService struct {
}

func (t *TestTenantService) FindTenants() ([]*Tenant, error) {
	return []*Tenant{
		{
			Id:   "1ps9djpswi0cds7cofynkso300eql4iu",
			Name: "测试租户",
		},
	}, nil
}

func (t *TestTenantService) GetTenant(tId string) (*Tenant, error) {
	return &Tenant{
		Id:   "1ps9djpswi0cds7cofynkso300eql4iu",
		Name: "测试租户",
	}, nil
}
